package view;

import java.awt.Dimension;
import java.awt.Font;
import java.awt.FlowLayout;

import javax.swing.JLabel;

import model.Alarm;

@SuppressWarnings("serial")
public class Digital24AlarmView extends AlarmView {
	private JLabel timeLabel;
	private static final Font font1 = new Font("Arial", Font.BOLD, 70);
	private static final Font font2 = new Font("Arial", Font.ITALIC, 70);
	private static final Dimension viewDim = new Dimension(350, 140);
	private static final Dimension timeDim = new Dimension(350, 90);
    public Digital24AlarmView(Alarm al, AlarmListFrame frame) {
    	super(al, frame);
        setSize(viewDim);
        setResizable(false);
        setLayout(new FlowLayout());
        timeLabel = new JLabel(alarm.getTime().toString(), JLabel.CENTER);
        timeLabel.setFont(alarm.isEnabled() ? font1 : font2);
        timeLabel.setPreferredSize(timeDim);
        add(timeLabel);
    }
	public void update() {
    	changeName();
    	changeTime();
    	changeEnabled();
		repaint();
	}
	protected void changeTime() {
		timeLabel.setText(alarm.getTime().toString());
	}
	protected void changeEnabled() {
		timeLabel.setFont(alarm.isEnabled() ? font1 : font2);
	}
}
